=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2005-07-29 22:45:57 +0000
+++ bzrlib/errors.py	2005-08-01 19:25:31 +0000
@@ -30,7 +30,11 @@
 
 
 class InvalidRevisionNumber(BzrError):
-    pass
+    def __init__(self, revno):
+        self.args = [revno]
+        
+    def __str__(self):
+        return 'invalid revision number: %r' % self.args[0]
 
 
 class InvalidRevisionId(BzrError):

